Name: 		xfce4-modemlights-plugin
Version: 	0.1.3.99
Release: 	2%{?dist}
Summary: 	Modemlights for the Xfce panel

Group: 		User Interface/Desktops
License:	GPLv2
URL:		http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:	http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.1.3.99-ifupdown.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	xfce4-panel-devel >= 4.4.0, libxfcegui4-devel >= 4.4.0, libxml2-devel
BuildRequires:	gettext, perl(XML::Parser)
Requires:	xfce4-panel >= 4.4.1, ppp

%description
A Xfce4 panel applet intended to simplify establishing a ppp connection via 
a modem.

%prep
%setup -q
%patch0 -p1 -b .ifupdown

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_datadir}/pixmaps/modem-*.png

%changelog
* Wed Nov 21 2007 Christoph Wickert <fedora christoph-wickert de> - 0.1.3.99-2
- Require ppp

* Tue Nov 20 2007 Christoph Wickert <fedora christoph-wickert de> - 0.1.3.99-1
- Update to 0.1.4 RC
- Update license tag

* Tue Apr 11 2006 Christoph Wickert <fedora wickert at arcor de> - 0.1.1-7
- Require xfce4-panel.

* Thu Feb 16 2006 Christoph Wickert <fedora wickert at arcor de> - 0.1.1-6
- Rebuild for Fedora Extras 5.

* Sat Jan 28 2006 Christoph Wickert <fedora wickert at arcor de> - 0.1.1-5
- Add libXt-devel BuildReqs.
- Drop libX11-devel.

* Fri Dec 30 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.1-4
- Add libX11-devel BuildReqs for modular X.

* Thu Dec 01 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.1-3
- Add libxfcegui4-devel BuildReqs.
- Fix %%defattr.

* Mon Nov 14 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.1-2
- Initial Fedora Extras version.
- Rebuild for XFCE 4.2.3.
- disable-static instead of removing .a files.

* Fri Sep 23 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.1-1.fc4.cw
- Initial Fedora Extras version.
- Update to 0.1.1
- Add libxml2 BuildReqs.

* Sat Jul 30 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.0-1.fc4.cw
- Initial RPM release.
